org.apache.commons.math3.geometry.partitioning

## Interface Embedding<S extends Space,T extends Space>

- Type Parameters:
    `S` - Type of the embedding space.
    `T` - Type of the embedded sub-space.
  All Known Implementing Classes:
    Line, Line, Plane

      public interface Embedding<S extends Space,T extends Space>

  This interface defines mappers between a space and one of its sub-spaces.

  Sub-spaces are the lower dimensions subsets of a n-dimensions space. The (n-1)-dimension sub-spaces are specific sub-spaces known as `hyperplanes`. This interface can be used regardless of the dimensions differences. As an example, `Line` in 3D implements Embedding<`Vector3D`, {link org.apache.commons.math3.geometry.euclidean.oned.Vector1D Vector1D>, i.e. it maps directly dimensions 3 and 1.

  In the 3D euclidean space, hyperplanes are 2D planes, and the 1D sub-spaces are lines.

  Since:
    3.0
  Version:
    $Id: Embedding.java 1244107 2012-02-14 16:17:55Z erans $
  See Also:
    `Hyperplane`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Vector<S>` | `toSpace(Vector<T> point)` Transform a sub-space point into a space point.
    `Vector<T>` | `toSubSpace(Vector<S> point)` Transform a space point into a sub-space point.

- - ### Method Detail

    - #### toSubSpace

          Vector<T> toSubSpace(Vector<S> point)

      Transform a space point into a sub-space point.
      Parameters:
        `point` - n-dimension point of the space
      Returns:
        (n-1)-dimension point of the sub-space corresponding to the specified space point
      See Also:
        `toSpace(org.apache.commons.math3.geometry.Vector<T>)`

    - #### toSpace

          Vector<S> toSpace(Vector<T> point)

      Transform a sub-space point into a space point.
      Parameters:
        `point` - (n-1)-dimension point of the sub-space
      Returns:
        n-dimension point of the space corresponding to the specified sub-space point
      See Also:
        `toSubSpace(org.apache.commons.math3.geometry.Vector<S>)`

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.